=== debian/changelog ===
plasma-integration (6.5.5+p24.04+vunstable+git20260122.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:54:06 +0000
