=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: breeze-dev (>= 4:6.6.1~),
+Build-Depends: breeze-dev (>= 4:6.6.2~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
